import { Schema } from "3d-tiles-tools";
import { Statistics } from "3d-tiles-tools";
import { ValidationContext } from "./ValidationContext";
import { ValidatedElement } from "./ValidatedElement";
/**
 * A class for validations related to `statistics` objects.
 *
 * @internal
 */
export declare class StatisticsValidator {
    /**
     * Performs the validation to ensure that the given object is a
     * valid `statistics` object.
     *
     * @param path - The path for `ValidationIssue` instances
     * @param statistics - The object to validate
     * @param schemaState - The state of the schema validation.
     * @param context - The `ValidationContext` that any issues will be added to
     * @returns Whether the object was valid
     */
    static validateStatistics(path: string, statistics: Statistics, schemaState: ValidatedElement<Schema>, context: ValidationContext): boolean;
}
//# sourceMappingURL=StatisticsValidator.d.ts.map