/// <reference types="node" />
import { ValidationContext } from "../ValidationContext";
/**
 * A class that only serves as an entry point for validating
 * glTF extensions, given the raw glTF input data (either
 * as embedded glTF, or as binary glTF).
 */
export declare class GltfExtensionValidators {
    /**
     * Ensure that the extensions in the given glTF data are valid.
     *
     * @param path - The path for `ValidationIssue` instances
     * @param input - The raw glTF data
     * @param context - The `ValidationContext`
     * @returns Whether the object is valid
     */
    static validateGltfExtensions(path: string, input: Buffer, context: ValidationContext): Promise<boolean>;
}
//# sourceMappingURL=GltfExtensionValidators.d.ts.map