import { BinaryPropertyTable } from "3d-tiles-tools";
import { ClassProperty } from "3d-tiles-tools";
import { MetadataPropertyModel } from "./MetadataPropertyModel";
/**
 * Implementation of a `MetadataPropertyModel` for properties
 * that are stored in binary property tables, and that are not
 * ENUM properties.
 *
 * @internal
 */
export declare class BinaryPropertyTableDefaultMetadataPropertyModel implements MetadataPropertyModel<number> {
    /**
     * The property table property that is represented by this model
     */
    private readonly propertyTableProperty;
    /**
     * The class property that defines the structure of the property
     */
    private readonly classProperty;
    /**
     * The property model for the property
     */
    private readonly propertyModel;
    /**
     * Creates a new instance
     *
     * @param binaryPropertyTable - The binary property table
     * @param propertyName - The property name
     * @param propertyTableProperty - The property table property
     * @param classProperty - The class property
     */
    constructor(binaryPropertyTable: BinaryPropertyTable, propertyName: string, propertyTableProperty: any, classProperty: ClassProperty);
    /** {@inheritDoc MetadataPropertyModel.getPropertyValue} */
    getPropertyValue(key: number): any;
    /** {@inheritDoc MetadataPropertyModel.getRawPropertyValue} */
    getRawPropertyValue(key: number): any;
}
//# sourceMappingURL=BinaryPropertyTableDefaultMetadataPropertyModel.d.ts.map