import { BinaryPropertyTable } from "3d-tiles-tools";
import { ClassProperty } from "3d-tiles-tools";
import { MetadataPropertyModel } from "./MetadataPropertyModel";
/**
 * Implementation of a `MetadataPropertyModel` for ENUM properties
 * in a binary property table
 *
 * @internal
 */
export declare class BinaryPropertyTableEnumMetadataPropertyModel implements MetadataPropertyModel<number> {
    /**
     * The class property that defines the structure of the property
     */
    private readonly classProperty;
    /**
     * The mapping from enum value values to enum value names for
     * the enum type of the given class property
     */
    private readonly enumValueValueNames;
    /**
     * The property model for the property
     */
    private readonly propertyModel;
    /**
     * Creates a new instance
     *
     * @param binaryPropertyTable - The binary property table
     * @param propertyName - The property name
     * @param propertyTableProperty - The property table property
     * @param classProperty - The class property
     * @param enumValueValueNames - The mapping from enum value values
     * to enum value names for the enum type of the given class
     * property
     */
    constructor(binaryPropertyTable: BinaryPropertyTable, propertyName: string, classProperty: ClassProperty, enumValueValueNames: {
        [key: number]: string;
    });
    /** {@inheritDoc MetadataPropertyModel.getPropertyValue} */
    getPropertyValue(key: number): any;
    /** {@inheritDoc MetadataPropertyModel.getRawPropertyValue} */
    getRawPropertyValue(key: number): any;
}
//# sourceMappingURL=BinaryPropertyTableEnumMetadataPropertyModel.d.ts.map