import { ValidationContext } from "../ValidationContext";
import { Schema } from "3d-tiles-tools";
import { MetadataClass } from "3d-tiles-tools";
/**
 * A class for validations related to `MetadataClass` objects.
 *
 * @internal
 */
export declare class MetadataClassValidator {
    /**
     * Validate the given `MetadataClass` object
     *
     * @param metadataClassPath - The path for `ValidationIssue` instances
     * @param name - The name of the class
     * @param metadataClass - The actual `MetadataClass`
     * @param schema - The `Schema`
     * @param context - The `ValidatonContext`
     * @returns Whether the object was valid
     */
    static validateMetadataClass(metadataClassPath: string, name: string, metadataClass: MetadataClass, schema: Schema, context: ValidationContext): boolean;
}
//# sourceMappingURL=MetadataClassValidator.d.ts.map