/**
 * Methods to create iterables over ranges
 */
export declare class RangeIterables {
    /**
     * Creates an iterable over the given 1D range
     *
     * @param size - The size
     * @returns The iterable
     * @throws DeveloperError if the size is negative
     */
    static range1D(size: number): Iterable<number>;
    /**
     * Creates an iterable over the given 2D range
     *
     * @param sizeX - The size in x-direction
     * @param sizeY - The size in y-direction
     * @returns The iterable
     * @throws DeveloperError if any size is negative
     */
    static range2D(sizeX: number, sizeY: number): Iterable<[number, number]>;
}
//# sourceMappingURL=RangeIterables.d.ts.map